docusign.billing-plans.get-billing-plan ​
Retrieves the billing plan information for the specified account, including the current billing plan, successor plans, billing address, and billing credit card. By default the successor plan and credit card information is included in the response. You can exclude this information from the response by adding the appropriate optional query string and setting it to false. Response The response returns the billing plan information, including the currency code, for the plan. The billingPlan and succesorPlans property values are the same as those shown in the Billing: getBillingPlan reference. the billingAddress and creditCardInformation property values are the same as those shown in the Billing: updatePlan reference. Note: When credit card number information displays, a mask is applied to the response so that only the last 4 digits of the card number are visible.
Get Account Billing Plan
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
include_credit_card_information | string | No | — | When true, payment information including credit card information will show in the return. |
include_downgrade_information | string | No | — | — |
include_metadata | string | No | — | When true, the canUpgrade and renewalStatus properties are included the response and an array of supportedCountries is added to the billingAddress information. |
include_successor_plans | string | No | — | When true, excludes successor information from the response. |
include_tax_exempt_id | string | No | — | — |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
include_credit_card_information | string | No | — | When true, payment information including credit card information will show in the return. |
include_downgrade_information | string | No | — | — |
include_metadata | string | No | — | When true, the canUpgrade and renewalStatus properties are included the response and an array of supportedCountries is added to the billingAddress information. |
include_successor_plans | string | No | — | When true, excludes successor information from the response. |
include_tax_exempt_id | string | No | — | — |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/billing_plan |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/billing_plan |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.billing-plans.get-billing-plan",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}